import request from '@/utils/request'

/**
 * 查询施工材料入场列表
 * @param query
 * @returns {AxiosPromise}
 */
export function getEnterFileList(query) {
  return request({
    url: '/project/material/getEnterFileList',
    method: 'get',
    params: query
  })
}

/**
 * 施工材料入场申请
 * @param data
 * @returns {AxiosPromise}
 */
export function addMaterialApply(data) {
  return request({
    url: '/project/material/addMaterialApply',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  })
}
